Subject: Re: git rebase chokes on directory -> symlink -> directory

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 08 May 2007 19:43:49 -0700

Alex Riesen wrote:

> 
> What kind of manual fixup did you do? I tried to reproduce it, and did
> the following:
> 
>     git clone --reference ~/linux.git git://git.kernel.org/pub/scm/linux/kernel/git/hpa/linux-2.6-newsetup.git
>     cd linux-2.6-newsetup.git
>     git rebase a989705c4cf6e6c1a339c95f9daf658b4ba88ca8
> 
> It stopped at 'Revert "x86-64: Make arch/x86-64/boot a symlink to
> arch/i386/boot"' aka cd312503f8e8a88895b12bf810677406284142e6.
> I went on:
> 
>     rm arch/x86-64/boot
>     git checkout cd312503f8e8a88895b12bf810677406284142e6 arch/x86-64/boot
>     git rebase --continue
> 
> And then it just continued until all commits were rebased.
> I have a very recent git, so maybe that's why it worked.
> 

Mine stops already at the directory -> symlink checkin (the above is the
symlink -> directory one), but your trick of using "git checkout" as a
trick to resolve things helped for both... eventually :-/

Either way, it's still a bug that it stops for either checkin, but it's
not blocking my work anymore.

	-hpa